PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
RTC_Type Struct Reference

## Description

SRSS RTC Registers (RTC)

## Data Fields
__IM uint32_t | RESERVED [2]
__IOM uint32_t | RTC_RW
__IOM uint32_t | CAL_CTL
__IM uint32_t | STATUS
__IOM uint32_t | RTC_TIME
__IOM uint32_t | RTC_DATE
__IOM uint32_t | ALM1_TIME
__IOM uint32_t | ALM1_DATE
__IOM uint32_t | ALM2_TIME
__IOM uint32_t | ALM2_DATE
__IOM uint32_t | INTR
__IOM uint32_t | INTR_SET
__IOM uint32_t | INTR_MASK
__IM uint32_t | INTR_MASKED
__IM uint32_t | RESERVED1 [3]
__IOM uint32_t | RESET
__IM uint32_t | RESERVED2 [17]
__IOM uint32_t | CSV_RTC_REF_SEL
__IM uint32_t | RESERVED3 [27]
RTC_CSV_RTC_Type | CSV_RTC
__IM uint32_t | RESERVED4 [956]
__IOM uint32_t | BREG_SET0 [4]
__IOM uint32_t | BREG_SET1 [4]
__IOM uint32_t | BREG_SET2 [8]
__IM uint32_t | RESERVED5 [16]
__IOM uint32_t | BREG_SET3 [48]

## Field Documentation

## ◆ RESERVED

__IM uint32_t RTC_Type::RESERVED[2]

## ◆ RTC_RW

__IOM uint32_t RTC_Type::RTC_RW

0x00000008 RTC Read Write register

## ◆ CAL_CTL

__IOM uint32_t RTC_Type::CAL_CTL

0x0000000C Oscillator calibration for absolute frequency

## ◆ STATUS

__IM uint32_t RTC_Type::STATUS

0x00000010 Status

## ◆ RTC_TIME

__IOM uint32_t RTC_Type::RTC_TIME

0x00000014 Calendar Seconds, Minutes, Hours, Day of Week

## ◆ RTC_DATE

__IOM uint32_t RTC_Type::RTC_DATE

0x00000018 Calendar Day of Month, Month, Year

## ◆ ALM1_TIME

__IOM uint32_t RTC_Type::ALM1_TIME

0x0000001C Alarm 1 Seconds, Minute, Hours, Day of Week

## ◆ ALM1_DATE

__IOM uint32_t RTC_Type::ALM1_DATE

0x00000020 Alarm 1 Day of Month, Month

## ◆ ALM2_TIME

__IOM uint32_t RTC_Type::ALM2_TIME

0x00000024 Alarm 2 Seconds, Minute, Hours, Day of Week

## ◆ ALM2_DATE

__IOM uint32_t RTC_Type::ALM2_DATE

0x00000028 Alarm 2 Day of Month, Month

## ◆ INTR

__IOM uint32_t RTC_Type::INTR

0x0000002C Interrupt request register

## ◆ INTR_SET

__IOM uint32_t RTC_Type::INTR_SET

0x00000030 Interrupt set request register

## ◆ INTR_MASK

__IOM uint32_t RTC_Type::INTR_MASK

0x00000034 Interrupt mask register

## ◆ INTR_MASKED

__IM uint32_t RTC_Type::INTR_MASKED

0x00000038 Interrupt masked request register

## ◆ RESERVED1

__IM uint32_t RTC_Type::RESERVED1[3]

## ◆ RESET

__IOM uint32_t RTC_Type::RESET

0x00000048 RTC reset register

## ◆ RESERVED2

__IM uint32_t RTC_Type::RESERVED2[17]

## ◆ CSV_RTC_REF_SEL

__IOM uint32_t RTC_Type::CSV_RTC_REF_SEL

0x00000090 Select CSV Reference clock for RTC clock

## ◆ RESERVED3

__IM uint32_t RTC_Type::RESERVED3[27]

## ◆ CSV_RTC

RTC_CSV_RTC_Type RTC_Type::CSV_RTC

0x00000100 CSV registers for clk_rtc clock

## ◆ RESERVED4

__IM uint32_t RTC_Type::RESERVED4[956]

## ◆ BREG_SET0

__IOM uint32_t RTC_Type::BREG_SET0[4]

0x00001000 Backup register region 0

## ◆ BREG_SET1

__IOM uint32_t RTC_Type::BREG_SET1[4]

0x00001010 Backup register region 1

## ◆ BREG_SET2

__IOM uint32_t RTC_Type::BREG_SET2[8]

0x00001020 Backup register region 2

## ◆ RESERVED5

__IM uint32_t RTC_Type::RESERVED5[16]

## ◆ BREG_SET3

__IOM uint32_t RTC_Type::BREG_SET3[48]

0x00001080 Backup register region 3